Package org.apache.lucene.analysis.miscellaneous

## Class LengthFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.FilteringTokenFilter
        - - org.apache.lucene.analysis.miscellaneous.LengthFilter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

      public final class LengthFilter
      extends FilteringTokenFilter

  Removes words that are too long or too short from the stream.

  Note: Length is calculated as the number of UTF-16 code units.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LengthFilter​(TokenStream in, int min, int max)` | Create a new `LengthFilter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept()` |

    - ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

      `end, incrementToken, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, unwrap`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LengthFilter

          public LengthFilter​(TokenStream in,
                              int min,
                              int max)

      Create a new `LengthFilter`. This will filter out tokens whose `CharTermAttribute` is either too short (`CharSequence.length()` < min) or too long (`CharSequence.length()` > max).
      Parameters:
        `in` - the `TokenStream` to consume
        `min` - the minimum length
        `max` - the maximum length

  - ### Method Detail

    - #### accept

          public boolean accept()

      Specified by:
        `accept` in class `FilteringTokenFilter`